from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFastNamespaceHandler(XInterface, Protocol):
    def registerNamespace(self, NamespacePrefix: str, NamespaceURI: str) -> None: ...
    def getNamespaceURI(self, NamespacePrefix: str) -> str: ...
